from tkinter import *
import random as rnd


def rndcolor():	# случайный цвет
    bgr = ('#' + '{0:02x}'.format(rnd.randrange(0,256,1)) +
           '{0:02x}'.format(rnd.randrange(0, 256, 1)) +
           '{0:02x}'.format(rnd.randrange(0, 256, 1)))
    return bgr

def moveoval(event): # смещение овала
    if event.keysym=='Right':
        cnvs.move(ovl, 10, 0)
    elif event.keysym=='Left':
        cnvs.move(ovl, -10, 0)
    elif event.keysym=='Up':
        cnvs.move(ovl, 0, -10)
    elif event.keysym=='Down':
        cnvs.move(ovl, 0, 10) 

def cnfgeoval(event): # изменение цвета и толщины линии
    cnvs.itemconfig(ovl, outline=rndcolor(), width=rnd.randint(1, 5))

def sizeoval(event): # изменение ширины и высоты овала
    crds = cnvs.coords(ovl)
    crds[2] = crds[0] + rnd.randint(50, 200)
    crds[3] = crds[1] + rnd.randint(50, 200)
    cnvs.coords(ovl, tuple(crds))

root = Tk()
root.title("Изменение фигур")
cnvs = Canvas(root, width=480, height=360, bg='#fafffa')
cnvs.pack(expand=1, fill='both')
ovl = cnvs.create_oval([20, 20], [120, 80], outline="blue", width=3)
butCnf = Button(cnvs, text="Цвет - толщина", command=lambda: cnfgeoval(0))
cnvs.create_window(100, 340, window=butCnf, width = 110,
                   height=26, anchor='w')
butSize = Button(cnvs, text="Форма", command=lambda: sizeoval(0))
cnvs.create_window(270, 340, window=butSize, width = 110,
                   height=26, anchor='w')
root.bind('<Key>', moveoval)
root.bind("<Control-KeyPress-f>", cnfgeoval)
root.bind("<Control-s>", sizeoval)
root.bind('<Control-z>',(lambda event: root.destroy()))
root.mainloop()

